%define name pmount
%define version 0.9.20
%define release %mkrel 2

Name:       %{name}
Version:    %{version}
Release:    %{release}
Summary:    Pmount allow mounting devices without fstab modifications
License:    GPLv2
Group:      System/Base
Url:        http://packages.debian.org/unstable/utils/pmount
Source0:    http://ftp.de.debian.org/debian/pool/main/p/%{name}/%{name}_%{version}.orig.tar.gz
Patch0:     %{name}-0.9.17-no-user-change-during-install.patch
Patch1:     pmount-0.9.20-ext4fs.patch
Buildrequires: glib-gettextize gettext-devel intltool
Buildrequires: libblkid-devel
Buildrequires: libsysfs-devel 
Buildrequires: hal-devel
Buildrequires: perl-XML-Parser
BuildRequires: libtool
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
Pmount allow mounting usb, firewire and pcmci media without modifying
/etc/fstab. It's a good base for automount software.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .no-user-change-during-install
%patch1 -p1 -b .etx4fs
autoreconf
libtoolize

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std
%find_lang %name

%clean
rm -rf %{buildroot}

%files -f %name.lang
%defattr(-,root,root)
%{_mandir}/man?/*
%config(noreplace) %{_sysconfdir}/pmount.allow
%{_bindir}/pmount-hal
%attr(4755,root,root) %{_bindir}/pmount
%attr(4755,root,root) %{_bindir}/pumount




%changelog
* Wed Feb 24 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.9.20-2mdv2010.1
+ Revision: 510730
- add patch to add support for ext4 (from Debian)

* Fri Sep 25 2009 Frederik Himpe <fhimpe@mandriva.org> 0.9.20-1mdv2010.0
+ Revision: 449270
- update to new version 0.9.20

* Tue Jun 09 2009 Frederic Crozat <fcrozat@mandriva.com> 0.9.19-2mdv2010.0
+ Revision: 384384
- Switch to libblkid-devel

* Thu Mar 26 2009 Michael Scherer <misc@mandriva.org> 0.9.19-1mdv2009.1
+ Revision: 361472
- add new version, from Issam Hakimi, fix bug #49125
- fix license

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.9.17-3mdv2009.0
+ Revision: 247032
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - buildrequire ext2fs-devel (for blkid)
    - buildrequire intltool
    - buildrequire glib-gettextize
    - 0.9.17
    - rediff install patch
    - updates URLs (maintainership has been moved to Debian)
    - restore BuildRoot

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - new version
      drop dbus patch (merged upstream)


* Wed Aug 02 2006 Frederic Crozat <fcrozat@mandriva.com> 0.9.9-2mdv2007.0
- Patch1: don't use deprecated dbus api

* Tue Mar 07 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.9.9-1mdk
- New release 0.9.9

* Thu Jan 26 2006 Götz Waschk <waschk@mandriva.org> 0.9.6-5mdk
- rebuild for new dbus

* Tue Dec 13 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.9.6-4mdk
- relink with libsysfs2
- patch 0: fix detecting libsysfs2

* Sun Nov 06 2005 Götz Waschk <waschk@mandriva.org> 0.9.6-3mdk
- install it with setuid root

* Fri Oct 28 2005 Götz Waschk <waschk@mandriva.org> 0.9.6-2mdk
- fix buildrequires

* Wed Oct 26 2005 Couriousous <couriousous@mandriva.org> 0.9.6-1mdk
- first Mandriva release

